	function ValidateForm(){
	//Функция проверяет форму на наличие неотмеченных/незаполненных полей
		var fieldName; 		//название поля для проверки
		var i, formVar; 	//форма для проверки
		var fieldIsChecked; 	//отмечено ли поле
		var submitForm;  	//Все ли поля отмечены
		var firstStep;		//первый раз напоролись на поле с проверяемым типом (radio, text)
		fieldName='';
		formVar = document.forms("MyForm");
//		formVar = document.getElementById("MyForm");
		fieldIsChecked = false;
		submitForm = true;
		firstStep = true;
		for (i=0; i<formVar.elements.length;i++) {
		//проходим по всем элементам формы.
			if (formVar.elements[i].type=='radio'){//Если элемент имеет тип радио, то рассматриваем его
				if (firstStep) {
					fieldName = formVar.elements[i].name;
					firstStep = false;
				}
				if (fieldName != formVar.elements[i].name) { //перешли к другой группе радиокнопок
					if (fieldIsChecked == false) {	//если было неотмеченное поле
						alert('Вы ответили не на все вопросы.');
						document.location.hash=fieldName;
						return false;
						submitForm = false;
					} else {
						fieldIsChecked = false;
					}
					fieldName = formVar.elements[i].name;
				}
				if (formVar.elements[i].checked) {//если проверяемое поле отмечено, то запоминаем это
					fieldIsChecked = true;
				}
			} else if (formVar.elements[i].type == 'text') {
				if (formVar.elements[i].value == '') {
					alert('Вы ответили не на все вопросы.');
					document.location.hash=formVar.elements[i].name;
					return false;
					submitForm = false;
				}
			}
		}
/*		//проверяем последнее поле. Если это радио, то надо проверить, было ли отмечено какое-нибудь поле из последнего вопроса
		if (formVar.elements[i-1].type=='radio') {
			if ((fieldIsChecked == false) && (formVar.elements[i].checked==false)) {	//если было неотмеченное поле
				alert('Вы ответили не на все вопросы.');
				document.location.hash=fieldName;
				return false;
				submitForm = false;
			}
		}*/
		return submitForm;
	}
